Foreman - Bug #33640

Improve caching of SettingRegistry#load_values
10/05/2021 11:34 PM - Jonathon Turel

Status: Closed
Priority: Normal
Assignee: Jonathon Turel
Category: Settings
Target version: 254
Difficulty: Fixed in Releases: 2.54,3.0.1,3.1.0
Triaged: No Found in Releases:
Bugzilla link: 1976051 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/g817,
https://github.com/theforeman/foreman/p
ull/8820,
https://github.com/theforeman/foreman/p
ull/8834
Description

Related issues:

Related to Foreman - Bug #33585: Puma memory usage after update to 2.5

Associated revisions

Revision c2e3fa19 - 10/07/2021 06:29 AM - Jonathon Turel
Fixes #33640 - Improve caching of SettingRegistry#load_values (#8817)

Leverage caching of SettingRegistry#load_values to only recache values that had changed since the last time we've cached values.

History

#1 - 10/05/2021 11:34 PM - Jonathon Turel

- Subject changed from Improve caching of SettingsRegistry#load_values to Improve caching of SettingRegistry#load_values

- Category set to Settings

#2 - 10/05/2021 11:37 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Jonathon Turel

- Pull request https://github.com/theforeman/foreman/pull/8817 added

#3 - 10/07/2021 06:29 AM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#4 - 10/07/2021 07:01 AM - Jonathon Turel
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c2e3fa199fb8d570fd433667f1663f6d3c0e393e.

#5 - 10/07/2021 11:08 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8820 added

#6 - 10/07/2021 01:40 PM - Jonathon Turel
- Bugzilla link set to 1976051
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c2e3fa199fb8d570fd433667f1663f6d3c0e393e

#7 - 10/10/2021 11:07 AM - Tomer Brisker
- Fixed in Releases 3.0.1 added

#8 - 10/11/2021 06:42 AM - Lukas Zapletal
- Related to Bug #33585: Puma memory usage after update to 2.5 added

#9 - 10/11/2021 04:26 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.5.4

#10 - 10/11/2021 04:53 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8834 added

#11 - 10/12/2021 06:28 AM - Tomer Brisker
- Fixed in Releases 2.5.4 added
